---
title: "Retrieve User Assigned With Tracking Code By Company Code, Tracking Code and User ID"
slug: "retrieve-user-assigned-with-tracking-code-by-company-code-tracking-code-and-user-id"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-user-assigned-with-tracking-code-by-company-code-tracking-code-and-user-id"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve User Assigned With Tracking Code By Company Code, Tracking Code and User ID

Get/po-rest-api/rest/1/poUserIdCrossRef

**Retrieve User Assigned With Tracking Code By Company Code, Tracking Code and User ID:** This endpoint retrieves users assigned tracking codes with the option to filter and optimize the request performance using the following parameters:

**Finder Name:** PoUserIdCrossRefFinder

**Request Parameters:**

CompCode (query parameter) -Company Code

UserID (query parameter) - User ID TrackingCode (query parameter) -Tracking Code

**Response Body:** The response will contain the details of users assigned tracking codes in the JSON format. Here is an example of the response body:

```json
{
    "items": [
        {
            "EmpCompCode": "",
            "EmpTrackingCode": "",
            "EmpUserName": "",
            "EmpUserID": "",
            "EmpAccessCode": "*******************",
            "EmpConfirmAccessCode": "*******************",
            "EmpMandatoryApprover": "",
            "EmpVUuid": "",
            "links": [
                {
                    "rel": "",
                    "href": "",
                    "name": "",
                    "kind": ""
                }
            ]
        }
    ]
}
```

SecurityHTTPType basic

Basic authentication

Query parameterslimitintegerExample25
offsetintegerExample0
totalResultsbooleanExampletrue
finderstringExamplePoUserIdCrossRefFinder; CompCode=ZZ,UserID=,TrackingCode=ADAM1

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='d110df0b-5555-4b31-8fb0-878df8b1f3b6'>text/plain</option>
</select>

```
"{\n    \"items\": [\n        {\n            \"EmpCompCode\": \"ZZ\",\n            \"EmpTrackingCode\": \"Adam1\",\n            \"EmpUserName\": \"Adam\",\n            \"EmpUserID\": \"Adam1\",\n            \"EmpAccessCode\": \" *******************\",\n            \"EmpConfirmAccessCode\": \" *******************\",\n            \"EmpMandatoryApprover\": \"N\",\n            \"EmpVUuid\": \"3B5493A2CFC3991AE0630B811DAC0102\",\n            \"links\": [\n                {\n                    \"rel\": \"self\",\n                    \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poUserIdCrossRef/3B5493A2CFC3991AE0630B811DAC0102\",\n                    \"name\": \"poUserIdCrossRef\",\n                    \"kind\": \"item\"\n                },\n                {\n                    \"rel\": \"canonical\",\n                    \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poUserIdCrossRef/3B5493A2CFC3991AE0630B811DAC0102\",\n                    \"name\": \"poUserIdCrossRef\",\n                    \"kind\": \"item\"\n                }\n            ]\n        }\n    ],\n    \"totalResults\": 1,\n    \"count\": 1,\n    \"hasMore\": false,\n    \"limit\": 25,\n    \"offset\": 0,\n    \"links\": [\n        {\n            \"rel\": \"self\",\n            \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poUserIdCrossRef\",\n            \"name\": \"poUserIdCrossRef\",\n            \"kind\": \"collection\"\n        }\n    ]\n}"
```

string
